## lava-tool 0.14

=== man/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/LAVATool.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/LAVATool.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/LAVATool"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/LAVATool"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## lava-tool 0.11.2

=== debian/changelog ===
lava-tool (0.11.2-2) unstable; urgency=medium

  * Enable the autopkgtests in debian/control.

 -- Neil Williams <codehelp@debian.org>  Fri, 27 Jun 2014 17:23:43 +0100

lava-tool (0.11.2-1) unstable; urgency=medium

  * New upstream release - completes the removal of
    versiontools. (Closes: #749871)
  * Add autopkgtests support.

 -- Neil Williams <codehelp@debian.org>  Tue, 10 Jun 2014 19:50:38 +0100

lava-tool (0.11.1-1) unstable; urgency=medium

  * New upstream release
  * Drop versiontools dependency.

 -- Neil Williams <codehelp@debian.org>  Mon, 12 May 2014 18:03:37 +0100

lava-tool (0.11-1) unstable; urgency=medium

  * New upstream release

 -- Neil Williams <codehelp@debian.org>  Fri, 09 May 2014 15:38:03 +0100

lava-tool (0.10-1) unstable; urgency=medium

  * Initial release. (Closes: #747350: ITP: lava-tool -- command line
    utility for LAVA)

 -- Neil Williams <codehelp@debian.org>  Wed, 07 May 2014 20:01:50 +0100

lava-tool (0.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Neil Williams <codehelp@debian.org>  Sun, 08 Dec 2013 20:49:22 +0000

lava-tool (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Neil Williams <codehelp@debian.org>  Tue, 19 Nov 2013 09:32:57 +0000

lava-tool (0.7.2-1) unstable; urgency=low

  * Update for working support of a native Debian LAVA install.

 -- Neil Williams <codehelp@debian.org>  Tue, 08 Oct 2013 16:00:04 +0100

lava-tool (0.7.1-1) unstable; urgency=low

  * Initial release 

 -- Neil Williams <codehelp@debian.org>  Wed, 05 Jun 2013 11:55:07 +0100

=== debian/control ===
Source: lava-tool
Section: python
Priority: optional
Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
 Neil Williams <codehelp@debian.org>,
 Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 8.0.0),
 python | python-all | python-dev | python-all-dev,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
 python-setuptools
Build-Depends-Indep: python-json-schema-validator,
 python-argcomplete (>= 0.3), python-keyring, python-xdg,
 python-yaml (>= 3.10), python-mock, python-mocker
X-Python-Version: 2.7
XS-Testsuite: autopkgtest
Standards-Version: 3.9.5
Homepage: http://www.linaro.org/engineering/validation
Vcs-Git: https://github.com/Linaro/pkg-lava-tool.git
Vcs-Browser: https://github.com/Linaro/pkg-lava-tool

Package: lava-tool
Architecture: all
Depends: python-setuptools, ${python:Depends}, ${misc:Depends}
Breaks: lava-dashboard-tool (<< 0.8), lava-scheduler-tool (<< 0.6)
Replaces: lava-dashboard-tool (<< 0.8), lava-scheduler-tool (<< 0.6)
Description: command line utility for LAVA
 This package provides a user space connection to a
 LAVA (Linaro Automated Validation Architecture)
 instance for submitting test jobs or querying the instance
 for device and job status over XMLRPC.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

# This has to be exported to make some magic below work.
export DH_OPTIONS

TESTDIR = $(CURDIR)/debian/testhome

PYTHON2:=$(shell pyversions -r)
install_dir=$(call py_libdir, $(PYTHON2))

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	python setup.py build
	make -C man/ man
	mkdir -p $(TESTDIR)

override_dh_auto_install:
	dh_auto_install
	python setup.py install --root=$(CURDIR)/debian/lava-tool/ --install-layout=deb
	dh_installman -plava-tool man/_build/man/lava-tool.1

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r lava_tool.egg-info setup.cfg .idea/
	$(RM) -r versiontools-*.egg/ doc/_build/
	[ ! -f doc/Makefile ] || make -C doc/ clean

# test suite not yet suitable for use on a buildd
# tries to create files
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	HOME=$(TESTDIR) python setup.py test -vv

override_dh_auto_test: $(PYTHON2:%=test-python%)
endif

# get upstream version for get-orig-source target
VERSION:= $(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/\-.*$$//')

sdist-orig:
	python setup.py sdist
	mv -v dist/lava-tool-$(VERSION).tar.gz ../lava-tool_$(VERSION).orig.tar.gz
	$(RM) -r versiontools-*.egg/

=== debian/tests/control ===
Tests: testsuite
Depends: @, python-mock, python-mocker
Restrictions: allow-stderr

## lava-tool 0.12

=== debian/changelog ===
lava-tool (0.12-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Fri, 15 May 2015 11:48:12 +0100

lava-tool (0.12-1) unstable; urgency=medium

  * New upstream release
  * Update watch file for git tags
  * Add dh-python to build-depends

 -- Neil Williams <codehelp@debian.org>  Tue, 05 May 2015 11:23:12 +0100

## lava-tool 0.13

=== debian/changelog ===
lava-tool (0.13-1) unstable; urgency=medium

  * New production release

 -- Neil Williams <codehelp@debian.org>  Mon, 06 Jul 2015 09:21:47 +0100

=== debian/control ===
Source: lava-tool
Section: python
Priority: optional
Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
 Neil Williams <codehelp@debian.org>,
 Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 8.0.0), dh-python,
 python | python-all | python-dev | python-all-dev,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
 python-setuptools
Build-Depends-Indep: python-json-schema-validator,
 python-argcomplete (>= 0.3), python-keyring, python-xdg,
 python-yaml (>= 3.10), python-mock, python-mocker
X-Python-Version: 2.7
XS-Testsuite: autopkgtest
Standards-Version: 3.9.6
Homepage: http://www.linaro.org/engineering/validation
Vcs-Git: https://github.com/Linaro/pkg-lava-tool.git
Vcs-Browser: https://github.com/Linaro/pkg-lava-tool

Package: lava-tool
Architecture: all
Depends: python-setuptools, ${python:Depends}, ${misc:Depends}
Breaks: lava-dashboard-tool (<< 0.8), lava-scheduler-tool (<< 0.6)
Replaces: lava-dashboard-tool (<< 0.8), lava-scheduler-tool (<< 0.6)
Description: command line utility for LAVA
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package provides a user space connection to any LAVA
 (Linaro Automated Validation Architecture) instance for
 submitting test jobs or querying the instance for device and job
 status over XMLRPC. A user account on the instance is needed to
 create and use authentication tokens for some calls. The list
 of calls supported is described on the API section of the LAVA
 instance.

=== debian/rules ===
--- 
+++ 
@@ -38,8 +38,8 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	$(RM) -r lava_tool.egg-info setup.cfg .idea/
-	$(RM) -r versiontools-*.egg/ doc/_build/
-	[ ! -f doc/Makefile ] || make -C doc/ clean
+	$(RM) -r versiontools-*.egg/
+	[ ! -f man/Makefile ] || make -C man/ clean
 
 # test suite not yet suitable for use on a buildd
 # tries to create files

## lava-tool 0.14

=== debian/changelog ===
lava-tool (0.14-2) unstable; urgency=medium

  * Add requirement for python-keyrings.alt to provide access to the
    file based keyring backend as this has been moved out of newer
    versions of python-keyring.

 -- Neil Williams <codehelp@debian.org>  Mon, 29 Feb 2016 08:57:40 +0000

lava-tool (0.14-1) unstable; urgency=medium

  * New production release.
  * Add sphinx options to set the manpage build date for reproducibility
    support.

 -- Neil Williams <codehelp@debian.org>  Wed, 09 Dec 2015 09:34:36 +0000

lava-tool (0.13-2) unstable; urgency=medium

  * Add Senthil Kumaran S (stylesen) as an uploader.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Tue, 08 Sep 2015 22:13:51 +0530

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
  Neil Williams <codehelp@debian.org>,
- Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>
+ Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
+ Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), dh-python,
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
@@ -13,15 +14,16 @@
  python-argcomplete (>= 0.3), python-keyring, python-xdg,
  python-yaml (>= 3.10), python-mock, python-mocker
 X-Python-Version: 2.7
-XS-Testsuite: autopkgtest
-Standards-Version: 3.9.6
+Testsuite: autopkgtest
+Standards-Version: 3.9.7
 Homepage: http://www.linaro.org/engineering/validation
 Vcs-Git: https://github.com/Linaro/pkg-lava-tool.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-tool
 
 Package: lava-tool
 Architecture: all
-Depends: python-setuptools, ${python:Depends}, ${misc:Depends}
+Depends: python-keyrings.alt, python-setuptools,
+ ${python:Depends}, ${misc:Depends}
 Breaks: lava-dashboard-tool (<< 0.8), lava-scheduler-tool (<< 0.6)
 Replaces: lava-dashboard-tool (<< 0.8), lava-scheduler-tool (<< 0.6)
 Description: command line utility for LAVA

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,9 @@
 # Prevent setuptools/distribute from accessing the internet.
 export http_proxy = http://127.0.9.1:9
 
+export LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
+export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
@@ -22,12 +25,12 @@
 install_dir=$(call py_libdir, $(PYTHON2))
 
 %:
-	dh $@ --with python2
+	dh $@ --with sphinxdoc,python2
 
 override_dh_auto_build:
 	dh_auto_build
 	python setup.py build
-	make -C man/ man
+	make -C man/ man SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
 	mkdir -p $(TESTDIR)
 
 override_dh_auto_install:
@@ -43,12 +46,12 @@
 
 # test suite not yet suitable for use on a buildd
 # tries to create files
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-test-python%:
-	HOME=$(TESTDIR) python setup.py test -vv
+#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+#test-python%:
+#	HOME=$(TESTDIR) python setup.py test -vv
 
-override_dh_auto_test: $(PYTHON2:%=test-python%)
-endif
+#override_dh_auto_test: $(PYTHON2:%=test-python%)
+#endif
 
 # get upstream version for get-orig-source target
 VERSION:= $(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/\-.*$$//')

=== debian/tests/control ===
Tests: testsuite
Depends: @, python-mock, python-mocker, wdiff
Restrictions: allow-stderr

## lava-tool 0.19

=== debian/changelog ===
lava-tool (0.19-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Tue, 03 Jan 2017 12:52:09 +0000

lava-tool (0.19-1) unstable; urgency=medium

  [ Neil Williams ]
  * New upstream release
    2edd4d1 Fix remaining pep8 errors in lava-tool.
    dc0c01c Add validate-pipeline-devices subcommand.
    0c468c3 Allow for older instances in submit_job url
    6da6144 Add job link on submission and resubmission.
    35cd78e Update manpage entries for lava and lava-tool commands.
    51fa203 Add zmq client to lava-tool.
    748f41d Fix legacy pep8 errors.
    32c020f lava-tool shortcuts.
    38e1092 Secure protocol check.
    c5878ba lava-tool auth management.
    bf39705 Add simple URL check for git, http and ftp urls in job def.
    c2aaff4 setup.py: remove json_schema_validator install_requires
    3a479a7 setup.py: remove argparse from install_requires

    [Anders Roxell]
  * Drop python-json-schema-validator from Build-Depends-Indep

 -- Neil Williams <codehelp@debian.org>  Thu, 22 Dec 2016 09:37:04 +0000

lava-tool (0.14-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Wed, 16 Dec 2015 09:38:19 +0000

lava-tool (0.13-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Wed, 09 Sep 2015 14:10:56 +0100

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,21 @@
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
  python-setuptools
-Build-Depends-Indep: python-json-schema-validator,
- python-argcomplete (>= 0.3), python-keyring, python-xdg,
- python-yaml (>= 3.10), python-mock, python-mocker
+Build-Depends-Indep: python-argcomplete (>= 0.3),
+ python-xdg, python-yaml (>= 3.10),
+ python-mock, python-mocker
 X-Python-Version: 2.7
 Testsuite: autopkgtest
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.linaro.org/engineering/validation
 Vcs-Git: https://github.com/Linaro/pkg-lava-tool.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-tool
 
 Package: lava-tool
 Architecture: all
-Depends: python-keyrings.alt, python-setuptools,
+Depends: python-setuptools,
  ${python:Depends}, ${misc:Depends}
+Recommends: ca-certificates
 Breaks: lava-dashboard-tool (<< 0.8), lava-scheduler-tool (<< 0.6)
 Replaces: lava-dashboard-tool (<< 0.8), lava-scheduler-tool (<< 0.6)
 Description: command line utility for LAVA

## lava-tool 0.20

=== debian/changelog ===
lava-tool (0.20-1) unstable; urgency=medium

  * New upstream release
    9dca673 Update for new release
    76b7a34 LAVA-795 - expose lava-publisher event socket settings.
    e2428b2 Spelling fixes for the lava-tool manpage
    c0435fc Use the publishing API for local file:// references.
    6b34143 wait_job_events output update.
    844aabe Mark lava-dashboard-tool as deprecated when
      invoking --help option.
    12f67fb Support download results for job, test suite and test
      case in lava-tool.

 -- Neil Williams <codehelp@debian.org>  Thu, 12 Jan 2017 14:11:28 +0000

## lava-tool 0.21

=== debian/changelog ===
lava-tool (0.21-1+deb9u1) stretch; urgency=medium

  * Add missing dependency: python-simplejson. (Closes: #872782)

 -- Neil Williams <codehelp@debian.org>  Wed, 23 Aug 2017 11:55:21 +0100

lava-tool (0.21-1) unstable; urgency=medium

  * New upstream release
  * Drop dependency on python-argcomplete.

 -- Neil Williams <codehelp@debian.org>  Thu, 19 Jan 2017 15:46:04 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 Package: lava-tool
 Architecture: all
-Depends: python-setuptools,
+Depends: python-setuptools, python-simplejson,
  ${python:Depends}, ${misc:Depends}
 Recommends: ca-certificates
 Breaks: lava-dashboard-tool (<< 0.8), lava-scheduler-tool (<< 0.6)

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# http://releases.linaro.org/latest/components/lava/lava-tool_(.*).tar.gz

https://git.linaro.org/lava/lava-tool.git/tags /lava/lava-tool.git/log/refs/tags/release-(.*)

## lava-tool 0.22

=== debian/changelog ===
lava-tool (0.22-1) unstable; urgency=medium

  * New upstream release (Closes: #820371, #864417, #864418)
    9f36d59 Move lava-tool version to scheduler
    6881130 Handle cancel and list errors cleanly
    89b09b9 LAVA-766 - update lava-tool manpage
    1472288 Parse the job definition into YAML before validating urls
    bbfec5c Drop python-argcomplete requirement

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Mon, 10 Jul 2017 08:22:34 +0530

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: lava-tool
-Section: python
+Section: admin
 Priority: optional
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
@@ -10,8 +10,7 @@
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
  python-setuptools
-Build-Depends-Indep: python-argcomplete (>= 0.3),
- python-xdg, python-yaml (>= 3.10),
+Build-Depends-Indep: python-xdg, python-yaml (>= 3.10),
  python-mock, python-mocker
 X-Python-Version: 2.7
 Testsuite: autopkgtest
@@ -22,7 +21,7 @@
 
 Package: lava-tool
 Architecture: all
-Depends: python-setuptools, python-simplejson,
+Depends: python-setuptools,
  ${python:Depends}, ${misc:Depends}
 Recommends: ca-certificates
 Breaks: lava-dashboard-tool (<< 0.8), lava-scheduler-tool (<< 0.6)

## lava-tool 0.23

=== debian/changelog ===
lava-tool (0.23-1) unstable; urgency=medium

  * New upstream release
    90f2eb1 Create a new major version.
    2b8cb85 Fix entrypoints errors and tests
  * Standards version updated (no changes)

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Mon, 10 Jul 2017 23:14:27 +0530

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
-Uploaders: Antonio Terceiro <terceiro@debian.org>,
- Neil Williams <codehelp@debian.org>,
+Uploaders: Neil Williams <codehelp@debian.org>,
  Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
  Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), dh-python,
@@ -14,7 +13,7 @@
  python-mock, python-mocker
 X-Python-Version: 2.7
 Testsuite: autopkgtest
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.linaro.org/engineering/validation
 Vcs-Git: https://github.com/Linaro/pkg-lava-tool.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-tool

## lava-tool 0.24

=== debian/changelog ===
lava-tool (0.24-1) unstable; urgency=medium

  * New upstream release 
    9fbfb17 LAVA-1183 - wait-for-job does not receive events when port is used
    f3314e9 Support the update of the TestJob status field name change.
    16b7b1b Make sure that lack of git executable is handled.
  * Remove Fathi and Jordi on request. (Closes: #879396)

 -- Neil Williams <codehelp@debian.org>  Wed, 10 Jan 2018 14:03:54 +0000

lava-tool (0.23-2) unstable; urgency=medium

  * Fix issue with watch file
  * Drop need for python-simplejson (Closes: #872782)

 -- Neil Williams <codehelp@debian.org>  Wed, 23 Aug 2017 11:30:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
 Uploaders: Neil Williams <codehelp@debian.org>,
- Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
  Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), dh-python,
  python | python-all | python-dev | python-all-dev,
@@ -13,8 +12,8 @@
  python-mock, python-mocker
 X-Python-Version: 2.7
 Testsuite: autopkgtest
-Standards-Version: 4.0.0
-Homepage: http://www.linaro.org/engineering/validation
+Standards-Version: 4.1.3
+Homepage: https://www.linaro.org/initiatives/lava/
 Vcs-Git: https://github.com/Linaro/pkg-lava-tool.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-tool
 
@@ -22,7 +21,7 @@
 Architecture: all
 Depends: python-setuptools,
  ${python:Depends}, ${misc:Depends}
-Recommends: ca-certificates
+Recommends: git, ca-certificates
 Breaks: lava-dashboard-tool (<< 0.8), lava-scheduler-tool (<< 0.6)
 Replaces: lava-dashboard-tool (<< 0.8), lava-scheduler-tool (<< 0.6)
 Description: command line utility for LAVA

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,7 @@
 	dh_auto_install
 	python setup.py install --root=$(CURDIR)/debian/lava-tool/ --install-layout=deb
 	dh_installman -plava-tool man/_build/man/lava-tool.1
+	dh_installman -plava-tool man/_build/man/lava.1
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: testsuite
Depends: @, python-mock, python-mocker,
 wdiff, python-simplejson
Restrictions: allow-stderr

## lava-tool 0.25

=== debian/changelog ===
lava-tool (0.25-2) unstable; urgency=medium

  * Fix autopkgtests for removed test directory

 -- Neil Williams <codehelp@debian.org>  Wed, 16 May 2018 10:44:53 +0100

lava-tool (0.25-1) unstable; urgency=medium

  * New upstream release
  * db56922 lava-tool jobs-list: output as JSON
  * 04f269 LAVA-107 - Drop lava-dashboard-tool
  * e4de32 LAVA-1223 - lava-tool: check remote api for wait-job-events
  * Add NEWS item that lava-tool is now deprecated in favour of lavacli.

 -- Neil Williams <codehelp@debian.org>  Thu, 26 Apr 2018 09:20:04 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python-mock, python-mocker
 X-Python-Version: 2.7
 Testsuite: autopkgtest
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://www.linaro.org/initiatives/lava/
 Vcs-Git: https://github.com/Linaro/pkg-lava-tool.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-tool
@@ -24,7 +24,7 @@
 Recommends: git, ca-certificates
 Breaks: lava-dashboard-tool (<< 0.8), lava-scheduler-tool (<< 0.6)
 Replaces: lava-dashboard-tool (<< 0.8), lava-scheduler-tool (<< 0.6)
-Description: command line utility for LAVA
+Description: deprecated command line utility for LAVA
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
  Tests can be simple boot testing, bootloader testing and system
@@ -32,10 +32,13 @@
  system tests. Results are tracked over time and data can be
  exported for further analysis.
  .
- This package provides a user space connection to any LAVA
+ This package provides a Python2 user space connection to any LAVA
  (Linaro Automated Validation Architecture) instance for
  submitting test jobs or querying the instance for device and job
  status over XMLRPC. A user account on the instance is needed to
  create and use authentication tokens for some calls. The list
  of calls supported is described on the API section of the LAVA
  instance.
+ .
+ This package is DEPRECATED in favour of lavacli which uses
+ Python3.

=== debian/rules ===
--- 
+++ 
@@ -45,19 +45,3 @@
 	$(RM) -r versiontools-*.egg/
 	[ ! -f man/Makefile ] || make -C man/ clean
 
-# test suite not yet suitable for use on a buildd
-# tries to create files
-#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-#test-python%:
-#	HOME=$(TESTDIR) python setup.py test -vv
-
-#override_dh_auto_test: $(PYTHON2:%=test-python%)
-#endif
-
-# get upstream version for get-orig-source target
-VERSION:= $(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/\-.*$$//')
-
-sdist-orig:
-	python setup.py sdist
-	mv -v dist/lava-tool-$(VERSION).tar.gz ../lava-tool_$(VERSION).orig.tar.gz
-	$(RM) -r versiontools-*.egg/

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# https://git.linaro.org/lava/lava-dispatcher.git/snapshot/lava-server-2016.11.tar.gz

https://git.linaro.org/lava/lava-tool.git/refs /lava/lava-tool.git/snapshot/lava-tool-release-(\d+.\d+.\d?)\d*.*.tar.gz
